if InvenSimulatorUI.race == "인간" then
	local weapon = { ["양손 도검류"] = true, ["한손 도검류"] = true, ["양손 둔기류"] = true, ["한손 둔기류"] = true }

	function InvenSimulatorUI:ApplyRaceTalent()
		if self.db.items[16] and self.specTable["무기1 최소 공격력"] and weapon[select(7, GetItemInfo(self.db.items[16])) or "*"] then
			self.specTable["숙련1"] = 3
		end
		if self.specTable["무기2 최소 공격력"] and weapon[select(7, GetItemInfo(self.db.items[17])) or "*"] then
			self.specTable["숙련2"] = 3
		end
	end
elseif InvenSimulatorUI.race == "드워프" then
	local weapon = { ["양손 둔기류"] = true, ["한손 둔기류"] = true }

	function InvenSimulatorUI:ApplyRaceTalent()
		if self.db.items[16] and self.specTable["무기1 최소 공격력"] and weapon[select(7, GetItemInfo(self.db.items[16])) or "*"] then
			self.specTable["숙련1"] = 5
		end
		if self.specTable["무기2 최소 공격력"] and weapon[select(7, GetItemInfo(self.db.items[17])) or "*"] then
			self.specTable["숙련2"] = 5
		end
		if self.db.items[18] and self.specTable["무기3 최소 공격력"] and select(7, GetItemInfo(self.db.items[18])) == "총기류" then
			self:AddSpec("원거리 치명타율", 1)
		end
	end
elseif InvenSimulatorUI.race == "오크" then
	local weapon = { ["양손 도끼류"] = true, ["한손 도끼류"] = true, ["장착 무기류"] = true }

	function InvenSimulatorUI:ApplyRaceTalent()
		if self.db.items[16] and self.specTable["무기1 최소 공격력"] and weapon[select(7, GetItemInfo(self.db.items[16])) or "*"] then
			self.specTable["숙련1"] = 5
		end
		if self.specTable["무기2 최소 공격력"] and weapon[select(7, GetItemInfo(self.db.items[17])) or "*"] then
			self.specTable["숙련2"] = 5
		end
	end

	function InvenSimulatorUI:InitRaceBuff()
		if self.class == "전사" or self.class == "도적" or self.class == "사냥꾼" or self.class == "죽음의 기사" then
			return "피의 격노", 20572, "전투력 "..(self.level * 4 + 2).."만큼 증가"
		elseif self.class == "주술사" then
			return "피의 격노", 20572, "전투력 "..(self.level * 4 + 2).."만큼 증가\n주문력 "..(self.level * 2 + 3).."만큼 증가"
		elseif self.class == "흑마법사" then
			return "피의 격노", 20572, "주문력 "..(self.level * 2 + 3).."만큼 증가"
		end
	end
elseif InvenSimulatorUI.race == "트롤" then
	local weapon = { ["투척 무기류"] = true, ["활류"] = true }

	function InvenSimulatorUI:ApplyRaceTalent()
		if self.db.items[18] and self.specTable["무기3 최소 공격력"] and weapon[select(7, GetItemInfo(self.db.items[18])) or "*"] then
			self:AddSpec("원거리 치명타율", 1)
		end
	end

	function InvenSimulatorUI:InitRaceBuff()
		return "광폭화", 26297, "주문 시전 속도 20%만큼 증가\n원거리 공격 속도 20%만큼 증가\n근접 공격 속도 20%만큼 증가"
	end
end